Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Manager_Iterator_Adapter Class Template Reference

Defines a iterator implementation for the Map_Manager_Adapter. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Map_Manager_Iterator_Adapter:

[legend]
Collaboration diagram for ACE_Map_Manager_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Map_Manager< KEY, VALUE, ACE_Null_Mutex >::iterator | implementation
## Public Methods
| ACE_Map_Manager_Iterator_Adapter (const ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex > &impl)
| Constructor. More...
virtual | ~ACE_Map_Manager_Iterator_Adapter (void)
| Destructor. More...
virtual ACE_Iterator_Impl< T > * | clone (void) const
| Clone. More...
virtual int | compare (const ACE_Iterator_Impl< T > &rhs) const
| Comparison. More...
virtual T | dereference (void) const
| Dereference. More...
virtual void | plus_plus (void)
| Advance. More...
virtual void | minus_minus (void)
| Reverse. More...
ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex > & | impl (void)
| Accessor to implementation object. More...
## Protected Attributes
ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex > | implementation_
| All implementation details are forwarded to this class. More...

## Detailed Description

### template<class T, class KEY, class VALUE>
class ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >

Defines a iterator implementation for the Map_Manager_Adapter.

Implementation to be provided by ACE_Map_Manager::iterator.

## Member Typedef Documentation

template<class T, class KEY, class VALUE>
typedef ACE_TYPENAME ACE_Map_Manager<KEY, VALUE, ACE_Null_Mutex>::iterator ACE_Map_Manager_Iterator_Adapter::implementation

## Constructor & Destructor Documentation

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::ACE_Map_Manager_Iterator_Adapter | ( | const ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex > & | impl | ) |

| Constructor.

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::~ACE_Map_Manager_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Iterator_Impl< T > * ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE>
ACE_INLINE int ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::compare | ( | const ACE_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE>
ACE_INLINE T ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex > & ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class KEY, class VALUE>
ACE_INLINE void ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Reimplemented from ACE_Iterator_Impl.

template<class T, class KEY, class VALUE>
ACE_INLINE void ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Reimplemented from ACE_Iterator_Impl.

## Member Data Documentation

template<class T, class KEY, class VALUE>
ACE_Map_Iterator<KEY, VALUE, ACE_Null_Mutex> ACE_Map_Manager_Iterator_Adapter::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i